
typedef struct _BAR * BAR ;

typedef enum {
    BarEnumOk,
    BarEnumIll
    } BAR_ENUM ;

extern BAR 
CreateBar() ;

extern 
BAR_ENUM 
UpdateBar( BAR, double, double, double ) ;

extern void 
PrintBar( BAR ) ;

extern void 
FreeBar( BAR ) ;


